Retrieve a Machine

View as Markdown
Org must have either an Infrastructure Provider entity or a Tenant entity. If org has an Infrastructure Provider entity, then a user with `PROVIDER_ADMIN` role can request details for any Machine on any Site owned by the Provider. If org has a Tenant entity, then a user with `TENANT_ADMIN` role can request details for any Machine associated with Tenant's active Instances.

Authentication

AuthorizationBearer
``` export JWT_BEARER_TOKEN="<jwt-bearer-token>" # Example org name: "acme-inc export ORG_NAME=<org-name> # Use the JWT bearer token in your API request auth header: curl -v -X GET -H "Content-Type: application/json" -H "Authorization: Bearer $JWT_BEARER_TOKEN" https://nico-rest-api.nico.svc.cluster.local/v2/org/$ORG_NAME/nico/user/current ```

Path parameters

orgstringRequired
Name of the Org
machineIdstringRequired
ID of the Machine

Query parameters

includeRelationenumOptional
Related entity to expand
Allowed values:
includeMetadatabooleanOptional
Include Machine metadata e.g. BMC, DPU, GPU and Interface data. Can only be requested by Provider.

Response

OK
idstringRead-only
Unique ID of Machine
infrastructureProviderIdstringRead-onlyformat: "uuid"
ID of the Provider that owns the Machine
siteIdstringformat: "uuid"
ID of the Site the Machine belongs to
instanceTypeIdstring or nullformat: "uuid"
ID of the Instance Type, if assigned
instanceIdstring or nullformat: "uuid"
ID of the Instance if this Machine is assigned to one
tenantIdstring or nullformat: "uuid"
ID of the Tenant that owns the Instance if the Machine is assigned to one
controllerMachineIdstring
ID of the Machine at Site, now same as the primary ID
controllerMachineTypestring or null

Denotes architecture (x86 vs ARM) of the Machine

hwSkuDeviceTypestring or null
SKU derived device type of the machine, e.g. cpu, gpu, cache, storage, etc.
vendorstring or null
Name of the vendor of the Machine
productNamestring or null
Product name of the Machine
serialNumberstring or null
Serial number of the Machine, only visible to Provider
machineCapabilitieslist of objects
List of capabilities of the machine
machineInterfaceslist of objects
List of admin interfaces of the machine
maintenanceMessagestring or null
If the Machine is in maintenance mode, this message will typically describe the reason and how long it is expected to be in maintenance
healthobject
Health information about the machine
metadataobject

Only available to Providers. Returned if the includeMetadata query parameter is specified. Otherwise attribute is omitted from response.

labelsmap from strings to strings

User-specified Machine labels

statusenum
Status represents the status of the machine
isUsableByTenantbooleanRead-only
Indicates whether the machine is usable by or currently in use by a tenant.
statusHistorylist of objects
Chronological status history for the Machine
createddatetimeRead-only

Date/time when the Machine was created

updateddatetimeRead-only

Date/time when the Machine was last updated

Errors

403
Forbidden Error